<?xml version="1.0" encoding="UTF-8"?>
<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="MessageTemplateList" type="MessageTemplateListType"/>

  <xs:complexType name="MessageTemplateListType">
    <xs:sequence>
      <xs:element type="MessageTemplateType" name="MessageTemplate" maxOccurs="unbounded" minOccurs="1"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="MessageTemplateType">
    <xs:sequence>
      <xs:element name="Subject" type="xs:string" />
      <xs:element name="Body" type="xs:string"  />
      <xs:element type="PlaceHoldersType" name="PlaceHolders"/>
    </xs:sequence>
    <xs:attribute type="xs:string" name="id" />
    <xs:attribute type="xs:string" name="name" />
  </xs:complexType>

  <xs:complexType name="PlaceHoldersType">
    <xs:sequence>
      <xs:element type="PlaceHolderType" name="PlaceHolder" maxOccurs="unbounded" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="PlaceHolderType">
    <xs:simpleContent>
      <xs:extension base="xs:string">
        <xs:attribute type="xs:string" name="name" />
      </xs:extension>
    </xs:simpleContent>
  </xs:complexType>


</xs:schema>